body {
    background-color: var(--fourth-color);
    color: var(--primary-text-color);
}

html.dark body {
    background-color: #131313;
    color: #fff;
}

.container-dashboard {
    display: grid;
    grid-template-columns: 90px calc(100% - 90px);
    grid-template-rows: 1fr;
    justify-content: flex-start;
    align-items: flex-start;
    position: relative;
    transition: 400ms;
}

.container-dashboard.menu-expanded {
    grid-template-columns: 270px calc(100% - 270px);
}

.container-dashboard aside {
    background: linear-gradient(var(--secondary-color), #A732DD);
    grid-column: 1/2;
    grid-row: 1/3;
    height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    position: fixed;
    width: 90px;
    transition: width 400ms;
    z-index: 100;
}

.container-dashboard.container-dashboard.menu-expanded aside {
    width: 270px;
}

.container-dashboard article {
    grid-column: 2/3;
    grid-row: 1/3;
    padding: 20px;
    position: relative;
}

#content-main {
    z-index: 1;
}

.toggle-darkmode {
    appearance: none;
    -webkit-appearance: none;
    -ms-appearance: none;
    -o-appearance: none;
    -moz-appearance: none;
    width: 40px;
    height: 20px;
    background-color: #e9e9e9;
    margin-right: 0px;
    border-radius: 100px;
    position: relative;
    box-shadow: inset 0px 0px 20px 0px rgba(0, 0, 0, 0.1);
    cursor: pointer;
}

.toggle-darkmode-checkbox {
    display: none;
}

.toggle-darkmode::before {
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    height: 100%;
    width: 20px;
    height: 20px;
    border-radius: 100px;
    background: url('../../public/images/sun.png');
    background-size: 100% 100%;
    transition: 400ms;
}

.toggle-darkmode-checkbox:checked~.toggle-darkmode:before {
    left: 20px;
    background: url('../../public/images/moon.png');
    background-size: 100% 100%;
}

.toggle-darkmode-checkbox:checked~.toggle-darkmode {
    background-color: #242424;
}

.menu-btn-div {
    padding: 10px 0px;
    border-bottom: 1px solid #a47af3;
    margin: 0 20px;
}

.menu-btn-div button {
    font-size: 1.8em;
    padding: 10px;
    width: 50px;
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 100px;
    background-color: white;
    color: var(--secondary-color);
    cursor: pointer;
}

.side-nav {
    padding: 20px;
    height: calc(100% - 90px);
    overflow-y: auto;
    overflow-x: hidden;
}

.side-nav .new-doc-on-nav {
    position: fixed;
    background-color: white;
    bottom: 70px;
    padding: 10px;
    border-radius: 10px 10px 0px 0px;
    box-shadow: 0px -20px 10px 0px rgba(0, 0, 0, .1);
    width: 320px;
    left: 50%;
    transform: translateX(-50%);
    display: none;
}

html.dark .side-nav .new-doc-on-nav {
    background-color: #202020;
    border: 1px solid #3d3d3d;
    border-bottom: none;
}

html.dark .new-doc-on-nav .content button {
    color: white;

}

.side-nav .btn-new-doc-on-nav:hover .new-doc-on-nav {
    display: block;
}

.side-nav li.link-menu-mobile {
    display: none;
}

.side-nav .new-doc-on-nav:hover {
    display: block;
}

.new-doc-on-nav .content button {
    display: block;
    color: black;
    margin: 5px 0;
    padding: 10px;
    font-size: 14px;
    width: 100%;
    border-radius: 5px;
    cursor: pointer;
    background-color: transparent;
    text-align: left;
}

.new-doc-on-nav .content button:hover {
    background-color: var(--secondary-color);
    color: white;
}

.side-nav ul:deep(li a) {
    display: block;
    color: white;
    text-decoration: none;
    margin: 5px 0;
    background-color: transparent;
    display: flex;
    justify-content: left;
    align-items: center;
    border-radius: 10px;
    transition: 400ms;
    cursor: pointer;
}



.side-nav ul:deep(li a:hover),
.side-nav ul:deep(li a.active) {
    background-color: rgb(245, 245, 245);
    color: var(--secondary-color);
}

.side-nav ul:deep(li a.active) {
    font-weight: 700;
}

.side-nav ul:deep(li a i),
.side-bottom button i {
    font-size: 1.2em;
    width: 50px;
    padding: 10px;
    text-align: center;
}

.container-dashboard.menu-expanded .side-nav:deep(a span),
.container-dashboard.menu-expanded .side-bottom button span {
    font-size: 15px;
}

.side-nav ul:deep(li a span),
.side-bottom button span {
    font-size: 0;
    transition: font-size 400ms;
    text-overflow: ellipsis;
    overflow: hidden;
    text-wrap: nowrap;
}

.side-bottom {
    padding: 20px;
}

.side-bottom button {
    display: block;
    text-decoration: none;
    margin: 5px 0;
    display: flex;
    justify-content: left;
    font-size: 1.2em;
    align-items: center;
    border-radius: 10px;
    background-color: white;
    color: var(--secondary-color);
    margin: auto;
    width: 100%;
    font-weight: 700;
    transition: 400ms;
    border: 1px solid transparent;
    box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, .2);
}

.side-bottom button:hover {
    cursor: pointer;
    box-shadow: 0px 10px 10px 0px rgba(0, 0, 0, .2);
}

.header-pg-acts {
    width: 300px;
}

.page-second-header {
    background-color: white;
    border-radius: 10px;
    padding: 10px;
    display: flex;
    align-items: center;
    justify-content: right;
}

:deep(.bordered) {
    border: 1px solid var(--border-color);
}

:deep(.mt-container) {
    padding: 20px;
    border-radius: 6px;
    margin: 40px 0px 0;
    background-color: var(--fourth-color);
    border: 1px solid var(--border-color);
    color: var(--primary-text-color);
}

html.dark :deep(.mt-container) {
    box-shadow: none;
}

:deep(.container-page) .actions {
    display: flex;
    flex-wrap: nowrap;
}

:deep(.container-page) .actions button,
:deep(.container-page) .actions a {
    display: inline;
    background-color: transparent;
    color: black;
    font-size: 1.5em;
    margin: 5px;
    padding: 5px;
    border-radius: 5px;
    cursor: pointer;
}

:deep(.container-page) .actions .action-blue {
    background-color: rgb(195, 236, 255);
    color: rgb(0, 174, 255);
}

:deep(.container-page) .actions .action-red {
    background-color: rgb(255, 195, 195);
    color: rgb(255, 0, 55);
}

:deep(.container-page) .actions .action-blue:active {
    background-color: rgb(112, 210, 255);
}

:deep(.container-page) .actions .action-red:active {
    background-color: rgb(247, 118, 118);
}

:deep(.d-form) {
    margin: 10px 0;
}

:deep(.d-f-nome) {
    width: 100%;
    margin-left: 10px;
    margin-bottom: 3px;
    padding: 0;
}

:deep(.d-f-nome) .d-form {
    margin: 4px 0;
}

:deep(.d-form) label {
    font-size: 16px;
    display: block;
    color: var(--primary-text-color);
}


:deep(.d-form-checkbox) {
    display: flex;
    flex-direction: row-reverse;
    align-items: center;
}

:deep(.d-form-checkbox) label {
    margin-left: 10px;
    width: 100%;
    cursor: pointer;
}

:deep(.d-form-checkbox) input[type="checkbox"] {
    width: auto !important;
}

:deep(.d-form) input,
:deep(.d-form) textarea,
:deep(.d-form) select,
:deep(.d-form-checkbox) input[type="checkbox"] {
    font-size: 16px;
    display: block;
    border-radius: 10px;
    background-color: var(--primary-color);
    width: 100%;
    resize: none;
    padding: 15px;
    transition: 400ms;
    border: 1px solid var(--border-color);
}

:deep(.input-error) {
    border-color: rgba(255, 59, 59, 0.699) !important;
}

:deep(.d-form) .error-message {
    margin: 10px 0 0;
    color: rgb(223, 54, 54);
    text-align: left;
    font-size: 12px;
}

:global(html.dark .d-form input),
:global(html.dark .d-form textarea),
:global(html.dark .d-form select) {
    color: rgb(240, 240, 240);
}
:global(html.dark .d-form *::placeholder){
    color: rgb(190, 190, 190);
}
:deep(.d-form) input:focus,
:deep(.d-form) textarea:focus,
:deep(.d-form) select:focus {
    border-color: var(--secondary-color);
}

.btn-add-item {
    background-color: var(--secondary-color);
    color: white;
    padding: 13px;
    border-radius: 0px;
    cursor: pointer;
    border-radius: 100px;
    font-size: 14px;
    width: 100%;
    display: block;
    margin: 10px auto;
}

.btn-new-cv {
    display: block;
    width: 100%;
    font-size: 16px;
    display: block;
    border-radius: 10px;
    padding: 15px;
    background-color: var(--secondary-color);
    color: white;
    text-align: center;
}

.btn-new-cv:hover {
    cursor: pointer;
}

.btn-new-cv i {
    transition: 400ms;
}

.btn-new-cv:hover i {
    margin-left: 10px;
}

button.flex {
    display: flex;
    justify-content: center;
    align-items: center;
}


:deep(.d-form-user-name) .d-form {
    margin-left: 15px;
    width: 100%;
}

:global(.swal2-container) {
    z-index: 999999999 !important
}

.container-error {
    display: flex;
    justify-content: center;
    align-items: center;
}

.container-error .contt {
    padding: 40px;
    text-align: center;
    max-width: 600px;
    background-color: rgba(0, 0, 0, .5);
}

.container-error .contt img {
    width: 100px;
    display: block;
    margin: auto auto 10px auto;
}

.container-error .contt p {
    text-align: center;
    font-size: 18px;
}

.container-error .contt a {
    text-align: center;
    font-size: 18px;
    color: var(--secondary-color);
    text-decoration: underline;
}

/*SETTINGS STYLES */




.title-page-settings {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    background-color: var(--secondary-color);
    padding: 15px 20px;
}

.title-page-settings i {
    font-size: 25px;
    margin-right: 10px;
    color: white;
}

.title-page-settings h3 {
    font-size: 20px;
    color: white;
}

.font-size-12 {
    font-size: 14px;
}

.input_foto {
    display: none;
}

:deep(.w-100) {
    width: 100%;
}

.container-dashboard.menu-expanded:deep(.container-items) {
    grid-template-columns: repeat(3, 1fr);
}

:deep(.container-items) {
    display: grid;grid-template-columns: repeat(4, 1fr);
    gap: 40px 20px;
    align-items: stretch;
}

@media (max-width: 992px) {

   
:deep(.mt-container) {
        padding: 10px;
        margin: 40px 0px 0;
    }

    .container-dashboard:not(.menu-expanded):deep(.container-items) {
        grid-template-columns: repeat(2, 1fr);
    }

    :deep(.container-items) {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 767px) {
    :deep(.container-page) {
        margin-bottom: 80px;
    }

    .container-dashboard header {
        margin: -10px;
        width: calc(100% + 20px);
    }

    .side-bottom,
    .menu-btn-div{
        display: none;
    }

    .container-dashboard {
        display: grid;
        grid-template-columns: 1fr;
        grid-template-rows: 1fr;
        position: relative;
        transition: 400ms;
    }

    .container-dashboard:not(.menu-expanded){
        grid-template-columns: 1fr;
    }

    .container-dashboard header {
        grid-column: 1/2;
    }

    .side-nav li.link-menu-mobile {
        display: block;
    }

    .container-dashboard aside {
        height: 70px;
        width: 100%;
        left: 0px;
        bottom: 0;
        background: white;
        overflow-x: hidden;
        transition: none;
        grid-column: none;
        grid-row: none;
    }

    html.dark .container-dashboard aside {
        background-color: #202020;
    }

    .container-dashboard aside .side-nav {
        height: inherit;
        padding: 0;
    }

    .container-dashboard aside .side-nav nav,
    .container-dashboard aside .side-nav nav:deep(li) {
        height: inherit;
    }

    .container-dashboard aside .side-nav nav ul {
        display: grid;
        grid-template-columns: repeat(5, 1fr);
        align-items: flex-start;
        justify-content: center;
        height: 100%;
        border-top: 1px solid var(--border-color);
    }

    .side-nav ul:deep(li a) {
        background-color: transparent;
        outline: none;
        border: none;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        text-align: center;
        padding: 7px 10px;
        color: rgb(31, 31, 31);
        width: 100%;
        font-size: 12px;
        border-radius: 0;
        height: 100%;
        padding: 5px;
        margin: 0;
    }

    html.dark .side-nav ul:deep(li a) {
        color: rgb(226, 226, 226);
    }

    .side-nav ul li a.btn-nav-create-doc i {
        font-size: 40px;
    }

    .side-nav ul:deep(li a span) {
        text-wrap: wrap;
        font-size: 11px;
        margin-top: 2px;
    }

    .side-nav ul:deep(li a i) {
        width: auto;
        font-size: 20px;
    }

    .side-nav ul:deep(li a :is(i, span)) {
        display: block;
        text-align: center;
        padding: 0;
        transition: transform 400ms;
    }

    .side-nav ul:deep(li a:hover),
    .side-nav ul:deep(li a.active) {
        background-color: transparent;
        color: rgb(31, 31, 31);
        font-weight: bolder;
    }

    html.dark .side-nav ul:deep(li a:hover),
    html.dark .side-nav ul:deep(li a.active) {
        color: rgb(226, 226, 226);
    }

    .side-nav ul:deep(li a:hover i),
    .side-nav ul:deep(li a.active i) {
        color: var(--secondary-color);
    }

    .container-dashboard.container-dashboard:not(.menu-expanded)aside {
        width: 100%;
        left: 0;
    }

    .container-dashboard:not(.menu-expanded).side-nav:deep(a span),
    .container-dashboard:not(.menu-expanded).side-bottom button span {
        font-size: inherit;
    }

    .container-dashboard article {
        grid-column: 1/2;
        padding: 0 10px;
    }

   

    .container-dashboard:not(.menu-expanded):deep(.container-items) {
        grid-template-columns: repeat(2, 1fr);
    }

    :deep(.container-items) {
        grid-template-columns: repeat(2, 1fr);
    }

    .container-dashboard:not(.menu-expanded):deep(.container-items) {
        grid-template-columns: repeat(2, 1fr);
    }

    .container-dashboard :deep(.container-items) {
        grid-template-columns: repeat(2, 1fr);
    }

    :deep(.container-items) {
        gap: 30px 10px;
    }

    .title-page-settings {
        padding: 10px 20px;
    }

}

@media (max-width: 676px) {
    
    *::-webkit-scrollbar {
        width: 2px;
    }

    .btn-add-item span {
        display: none;
    }

    .btn-add-item {
        width: 50px;
        height: 50px;
        text-align: center;
        line-height: 25px;
    }

    .btn-add-item i {
        font-size: 25px;
    }
  
    :deep(.mt-container) {
        padding: 10px 10px;
    }

    :deep(.d-form) input,
    :deep(.d-form) textarea,
    :deep(.d-form) select,
    :deep(.d-form) label {
        font-size: 14px;
    }

}

@media (max-width: 576px) {

    .logo-txt h2 {
        font-size: 14px;
    }

    .toggle-darkmode {
        width: 40px;
        height: 20px;
    }

    .toggle-darkmode::before {
        width: 20px;
    }

    .toggle-darkmode:checked:before {
        left: 20px;
    }
}

